IEKANALYZER(8)

NAME
ipmiutil_ekanalyzer - run FRU-Ekeying analyzer with FRU files

SYNOPSIS
ipmiutil ekanalyzer [-mx -NPRUEFJTVY] commands (deprecated, see ifru instead)

DESCRIPTION
ipmiutil ekanalyzer is a program that analyzes FRU Ekeying information from files saved from PICMG IPMI systems. This function is disabled by default in ipmiutil-2.9.9 and later.
ekanalyzer command xx=filename1 xx=filename2 [rc=filename3]
NOTE: This command can support a maximum of 8 files per command line

filename1
    binary file that stores FRU data of a Carrier or an AMC module

filename2
    binary file that stores FRU data of an AMC module. These binary files can be generated from this command:
         ipmiutil fru -i id -d filename

filename3
    configuration file used for configuring On-Carrier Device ID or OEM GUID. This file is optional.

xx  indicates the type of the file. It can take the following value:
         oc : On-Carrier device
         a1 : AMC slot A1
         a2 : AMC slot A2
         a3 : AMC slot A3
         a4 : AMC slot A4
         b1 : AMC slot B1
         b2 : AMC slot B2
         b3 : AMC slot B3
         b4 : AMC slot B4
         sm : Shelf Manager

OPTIONS

-m 002000
    Show FRU for a specific MC (e.g. bus 00, sa 20, lun 00). This could be used for PICMG or ATCA blade systems. The trailing character, if present, indicates SMI addressing if 's', or IPMB addressing if 'i' or not present.

-x  Causes extra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

COMMANDS

The available commands for ekanalyzer are:

    print [carrier | power | all]

        carrier (default) oc=filename1 oc=filename2 ...
            Display point to point physical connectivity between carriers and AMC modules.
             Example:
               # ipmiutil ekanalyzer print carrier oc=fru oc=carrierfru
               From Carrier file: fru
                  Number of AMC bays supported by Carrier: 2
                  AMC slot B1 topology:
                     Port 0 =====> On Carrier Device ID 0, Port 16
                     Port 1 =====> On Carrier Device ID 0, Port 12
                     Port 2 =====> AMC slot B2, Port 2
                  AMC slot B2 topology:
                     Port 0 =====> On Carrier Device ID 0, Port 3
                     Port 2 =====> AMC slot B1, Port 2
               *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
               From Carrier file: carrierfru
                  On Carrier Device ID 0 topology:
                     Port 0 =====> AMC slot B1, Port 4
                     Port 1 =====> AMC slot B1, Port 5
                     Port 2 =====> AMC slot B2, Port 6
                     Port 3 =====> AMC slot B2, Port 7
                  AMC slot B1 topology:
                     Port 0 =====> AMC slot B2, Port 0
                  AMC slot B1 topology:
                     Port 1 =====> AMC slot B2, Port 1
                  Number of AMC bays supported by Carrier: 2

        power xx=filename1 xx=filename2 ...
            Display power supply information between carrier and AMC modules.

        all xx=filename xx=filename ...
            Display both physical connectivity and power supply of each carrier and AMC modules.

    frushow xx=filename
        Convert a binary FRU file into human readable text format. Use -v option to get more display information.

    summary [match | unmatch | all]

        match (default) xx=filename xx=filename ...
            Display only matched results of Ekeying match between an On-Carrier device and an AMC module or between 2 AMC modules. Example:
             # ipmiutil ekanalyzer summary match oc=fru b1=amcB1 a2=amcA2
             On-Carrier Device vs AMC slot B1
              AMC slot B1 port 0 ==> On-Carrier Device 0 port 16
               Matching Result
               From On-Carrier Device ID 0
                 Channel ID 11 || Lane 0: enable
                 Link Type: AMC.2 Ethernet
                 Link Type extension: 1000BASE-BX (SerDES Gigabit) Ethernet link
                 Link Group ID: 0 || Link Asym. Match: exact match
               To AMC slot B1
                 Channel ID 0 || Lane 0: enable
                 Link Type: AMC.2 Ethernet
                 Link Type extension: 1000BASE-BX (SerDES Gigabit) Ethernet link
                 Link Group ID: 0 || Link Asym. Match: exact match
               *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
              AMC slot B1 port 1 ==> On-Carrier Device 0 port 12
               Matching Result
               From On-Carrier Device ID 0
                 Channel ID 6 || Lane 0: enable
                 Link Type: AMC.2 Ethernet
                 Link Type extension: 1000BASE-BX (SerDES Gigabit) Ethernet link
                 Link Group ID: 0 || Link Asym. Match: exact match
               To AMC slot B1
                 Channel ID 1 || Lane 0: enable
                 Link Type: AMC.2 Ethernet
                 Link Type extension: 1000BASE-BX (SerDES Gigabit) Ethernet link
                 Link Group ID: 0 || Link Asym. Match: exact match
               *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
             On-Carrier Device vs AMC slot A2
              AMC slot A2 port 0 ==> On-Carrier Device 0 port 3
               Matching Result
               From On-Carrier Device ID 0
                 Channel ID 9 || Lane 0: enable
                 Link Type: AMC.2 Ethernet
                 Link Type extension: 1000BASE-BX (SerDES Gigabit) Ethernet link
                 Link Group ID: 0 || Link Asym. Match: exact match
               To AMC slot A2
                 Channel ID 0 || Lane 0: enable
                 Link Type: AMC.2 Ethernet
                 Link Type extension: 1000BASE-BX (SerDES Gigabit) Ethernet link
                 Link Group ID: 0 || Link Asym. Match: exact match
               *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
             AMC slot B1 vs AMC slot A2
              AMC slot A2 port 2 ==> AMC slot B1 port 2
               Matching Result
               From AMC slot B1
                 Channel ID 2 || Lane 0: enable
                 Link Type: AMC.3 Storage
                 Link Type extension: Serial Attached SCSI (SAS/SATA)
                 Link Group ID: 0 || Link Asym. Match: FC or SAS interface {exact match}
               To AMC slot A2
                 Channel ID 2 || Lane 0: enable
                 Link Type: AMC.3 Storage
                 Link Type extension: Serial Attached SCSI (SAS/SATA)
                 Link Group ID: 0 || Link Asym. Match: FC or SAS interface {exact match}
             *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

        unmatch xx=filename xx=filename ...
            Display the unmatched results of Ekeying match between an On-Carrier device and an AMC module or between 2 AMC modules

        all xx=filename xx=filename ...
            Display both matched result and unmatched results of Ekeying match between two cards or two modules.

SEE ALSO
ialarms(8) iconfig(8) icmd(8) idiscover(8) ievents(8) ifirewall(8) ifru(8) ifruset(8) ifwum(8) igetevent(8) ihealth(8) ihpm(8) ilan(8) ipicmg(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) isunoem(8) iwdt(8) ipmiutil(8) ipmi_port(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>